Subject: bug#16737: Timed out waiting for reply from selection owner

From: Oleh Krehel <[email-masked]>
Date: Wed, 03 Jun 2015 17:39:42 +0200

Alex Bennée <[email-masked]> writes:

> Tassilo Horn <[email-masked]> writes:
>
>> Alex Bennée <[email-masked]> writes:
>>
>>> I still see it and I've been tracking the emacs-24 branch. It seems to be a
>>> consequence of a long lived Emacs daemon session
>>
>> I'm using the current master branch but I also use the server (which
>> should be kind of the same to starting emacs as a doemon, no?).  Kill
>> and yank for hours, and then out of sudden the timeouts appear.
>
> I haven't hit the problem for ages then suddenly this week as I was
> pasting a URL it triggered again. Trouble is being able to get useful
> diagnostics out when the problem hits.

I tend to get this problem a lot more since I've switched from 24.5 to
master.

This code makes Emacs report the error immediately instead of freezing:

    (setq x-selection-timeout 10)

When the bug occurs, a fix that typically works is to:

1. kill some text while in Emacs.
2. copy the text from outside
3. wait for 3-4 seconds before attempting to paste into Emacs

Step 3 could be important, since if I paste quickly, the bug seems to
re-occur more often.

Oleh